<?
ob_start();
require'../sys/head.php';
require'../sys/conf.php';
require'../sys/sess.php';
require'../otsev.php';
echo"<b>Деревня</b><br/>";
$sp=mysql_fetch_array(qw("SELECT id,der FROM domik WHERE strana ='$re1[strana]' and domik5='1'"));
if($sp[id]>0){
echo'</div><div class="knews">';
if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
switch($make){
default:
echo'<a href="derevnya.php?make=oxp&der='.$key.'">{охрана}</a>';
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_5 WHERE strana ='$re1[strana]'"));
$ox=$ox[peh]+$ox[kon]+$ox[str]+$ox[puh]+$ox[tan]+$ox[sam];
echo"[($ox)]<br/>";
echo"Территория  : <br/> (<b>$sp[der]</b>)<a href='derevnya.php?make=1&s=1&der=$key'> [<b>+</b>] /</a>
<a href='derevnya.php?make=1&s=2&der=$key'> [<b>-</b>] </a><br/>";
$der=$sp[der]*10;
echo"Рабочих : (<b>$re2[rab]</b>)<br/>";
echo'</div><div class="knews">';
$l=$re2[land]+$re2[gora]+$re2[lesa];
$gor=round($l/3.6);$les=round($l/2.5);$nar=round($l/2.8);
echo"Максимум<br/>рабочих : (<b>$der</b>)<br/>гор : (<b>20000</b>)<br/>леса : (<b>20000</b>)<br/>всего населения : (<b>25000</b>)<br/>";
echo'</div><div class="knews">';
echo"<a href='derevnya.php?make=nal&der=$key'>Налог</a><br/>";
echo'</div><div class="knews">';
echo"Добыча ресурсов :<br/>
<a href='derevnya.php?make=22&der=$key'>Калькуляторы</a><br/>
<a href='derevnya.php?make=2&s=1&b=1&der=$key'>Железо</a><br/>
<a href='derevnya.php?make=2&s=2&b=2&der=$key'>Камень</a><br/>
<a href='derevnya.php?make=2&s=3&b=3&der=$key'>Дерево</a><br/>
<a href='derevnya.php?make=2&s=4&b=4&der=$key'>Зерно</a><br/>";
break;
case 22:
echo"Калькуляторы<br/>";
if(empty($_GET[s])){
echo"<a href='derevnya.php?make=22&s=1&b=1&der=$key'>Железо</a><br/>
<a href='derevnya.php?make=22&s=2&b=2&der=$key'>Камень</a><br/>
<a href='derevnya.php?make=22&s=3&b=3&der=$key'>Дерево</a><br/>
<a href='derevnya.php?make=22&s=4&b=4&der=$key'>Зерно</a><br/>";
}
if($_GET[s]==1){
echo'<FORM ACTION="derevnya.php?make=22&s=11&b=1&der='.$key.'" METHOD=POST>';?>
Рабочие (<?echo"$re2[rab]";?>):
<br/>
<input type="text" name="rab" maxlength="10"/><br/>
Деньги (<?echo"$re2[dengi]";?>):
<br/>
<input type="text" name="den" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==2){
echo'<FORM ACTION="derevnya.php?make=22&s=12&b=2&der='.$key.'" METHOD=POST>';?>
Рабочие (<?echo"$re2[rab]";?>):
<br/>
<input type="text" name="rab" maxlength="10"/><br/>
Деньги (<?echo"$re2[dengi]";?>):
<br/>
<input type="text" name="den" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==3){
echo'<FORM ACTION="derevnya.php?make=22&s=13&b=3&der='.$key.'" METHOD=POST>';?>
Рабочие (<?echo"$re2[rab]";?>):
<br/>
<input type="text" name="rab" maxlength="10"/><br/>
Деньги (<?echo"$re2[dengi]";?>):
<br/>
<input type="text" name="den" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==4){
echo'<FORM ACTION="derevnya.php?make=22&s=14&b=4&der='.$key.'" METHOD=POST>';?>
Рабочие (<?echo"$re2[rab]";?>):
<br/>
<input type="text" name="rab" maxlength="10"/><br/>
Деньги (<?echo"$re2[dengi]";?>):
<br/>
<input type="text" name="den" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==11){
$rab=zif($_POST[rab]);$den=zif($_POST[den]);
if($re2[rab]>=$rab and $re2[dengi]>=$den and $rab!=0 and $den!=0){
$vr=round((300*$den)/$rab);$r=(($re2[gora]/100)*$re1[naukmet])*4;$r1=$re2[gora]/($re1[naukmet]/10);
if($den>=$r1){$s1=$r1;$s2=$r;$s3=0;}else{$t=($den*100)/$r1;$s2=($r/100)*$t;$s3=$re2[gora]-(($re2[gora]/100)*$t);}
$lan=round(($re2[gora]-$s3)/2);
$tim1=time();$tim2=$tim1+$vr;$vid=$_GET[b];$t=$re2[gora]-$s3;
if($re2[otk1]==1){$s2=round($s2*1.25);}
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
$gor=$re2[gora]-$t;
echo"Рабочие($rab)<br/>Деньги($den)<br/>Наука по добыче($re1[naukmet])<br/>Добудут железа($s2)<br/>
Расход гор($t)<br/>Остаток гор($gor)<br/>Время($min мин. $sec сек.)<br/>";
}else{echo"Нет столько рабочих или денег!<br/>";}
}
if($_GET[s]==12){
$rab=zif($_POST[rab]);$den=zif($_POST[den]);
if($re2[rab]>=$rab and $re2[dengi]>=$den and $rab!=0 and $den!=0){
$vr=round((600*$den)/$rab);$r=(($re2[gora]/100)*$re1[naukkam])*10;$r1=$re2[gora]/($re1[naukkam]/10);
if($den>=$r1){$s1=$r1;$s2=$r;$s3=0;}else{$t=($den*100)/$r1;$s2=($r/100)*$t;$s3=$re2[gora]-(($re2[gora]/100)*$t);}
$lan=round(($re2[gora]-$s3)/2);
$tim1=time();$tim2=$tim1+$vr;$vid=$_GET[b];$t=$re2[gora]-$s3;
if($re2[otk4]==1){$s2=round($s2*1.25);}
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
$gor=$re2[gora]-$t;
echo"Рабочие($rab)<br/>Деньги($den)<br/>Наука по добыче($re1[naukkam])<br/>Добудут камня($s2)<br/>
Расход гор($t)<br/>Остаток гор($gor)<br/>Время($min мин. $sec сек.)<br/>";
}else{echo"Нет столько рабочих или денег!<br/>";}
}
if($_GET[s]==13){
$rab=zif($_POST[rab]);$den=zif($_POST[den]);
if($re2[rab]>=$rab and $re2[dengi]>=$den and $rab!=0 and $den!=0){
$vr=round((700*$den)/$rab);$r=(($re2[lesa]/100)*$re1[naukder])*10;$r1=$re2[lesa]/($re1[naukder]/5);
if($den>=$r1){$s1=$r1;$s2=$r;$s3=0;}else{$t=($den*100)/$r1;$s2=($r/100)*$t;$s3=$re2[lesa]-(($re2[lesa]/100)*$t);}
$lan=round(($re2[lesa]-$s3)/2);
$tim1=time();$tim2=$tim1+$vr;$vid=$_GET[b];$t=$re2[lesa]-$s3;
if($re2[otk2]==1){$s2=round($s2*1.25);}
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
$gor=$re2[lesa]-$t;
echo"Рабочие($rab)<br/>Деньги($den)<br/>Наука по добыче($re1[naukder])<br/>Добудут дерева($s2)<br/>
Расход леса($t)<br/>Остаток леса($gor)<br/>Время($min мин. $sec сек.)<br/>";
}else{echo"Нет столько рабочих или денег!<br/>";}
}
if($_GET[s]==14){
$rab=zif($_POST[rab]);$den=zif($_POST[den]);
if($re2[rab]>=$rab and $re2[dengi]>=$den and $rab!=0 and $den!=0){
$vr=round((400*$den)/$rab);$r=(($re2[land]/100)*$re1[naukzer])*1;$r1=$re2[land]/($re1[naukzer]/2);
if($den>=$r1){$s1=$r1;$s2=$r;$s3=0;}else{$t=($den*100)/$r1;$s2=round(($r/100)*$t);$s3=$re2[land]-(($re2[land]/100)*$t);}
$minlan=$re2[land]-$rab;if($minlan<=0){$minlan=$re2[land];}
$tim1=time();$tim2=$tim1+$vr;$vid=$_GET[b];
if($re2[otk3]==1){$s2=round($s2*1.25);}
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
$gor=$re2[land]-$minlan;
echo"Рабочие($rab)<br/>Деньги($den)<br/>Наука по добыче($re1[naukzer])<br/>Добудут зерна($s2)<br/>
Расход земли($minlan)<br/>Остаток земли($gor)<br/>Время($min мин. $sec сек.)<br/>";
}else{echo"Нет столько рабочих или денег!<br/>";}
}
break;
case otm:
$ox=mysql_fetch_array(qw("SELECT * FROM res WHERE id ='$_GET[k]' and strana='$re1[strana]'"));
qw("UPDATE gos2 SET rab=rab+'$ox[rab]' WHERE strana='$re1[strana]'");
qw("DELETE FROM res WHERE id='$_GET[k]' and strana='$re1[strana]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('8','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','Работы отменены!')");

echo"Работы отменены!<br/>";
break;
case 2:
echo"Добыча<br/>";
$sp=mysql_fetch_array(qw("SELECT id,time FROM res WHERE strana='$re1[strana]' and vid ='$_GET[b]'"));
if($sp[id]>0){
$v=time();$vr=$sp[time]-$v;
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
echo"Ресурс уже добывается!<br/>
Осталось $min мин. $sec сек. <br/>";
echo"<a href='derevnya.php?make=otm&k=$sp[id]&der=$key'>Отменить<br/>";}else{
if($_GET[s]==1){
echo'<FORM ACTION="derevnya.php?make=2&s=11&b=1&der='.$key.'" METHOD=POST>';?>
Рабочие (<?echo"$re2[rab]";?>):
<br/>
<input type="text" name="rab" maxlength="10"/><br/>
Деньги (<?echo"$re2[dengi]";?>):
<br/>
<input type="text" name="den" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==2){
echo'<FORM ACTION="derevnya.php?make=2&s=12&b=2&der='.$key.'" METHOD=POST>';?>
Рабочие (<?echo"$re2[rab]";?>):
<br/>
<input type="text" name="rab" maxlength="10"/><br/>
Деньги (<?echo"$re2[dengi]";?>):
<br/>
<input type="text" name="den" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==3){
echo'<FORM ACTION="derevnya.php?make=2&s=13&b=3&der='.$key.'" METHOD=POST>';?>
Рабочие (<?echo"$re2[rab]";?>):
<br/>
<input type="text" name="rab" maxlength="10"/><br/>
Деньги (<?echo"$re2[dengi]";?>):
<br/>
<input type="text" name="den" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==4){
echo'<FORM ACTION="derevnya.php?make=2&s=14&b=4&der='.$key.'" METHOD=POST>';?>
Рабочие (<?echo"$re2[rab]";?>):
<br/>
<input type="text" name="rab" maxlength="10"/><br/>
Деньги (<?echo"$re2[dengi]";?>):
<br/>
<input type="text" name="den" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==11){
$rab=zif($_POST[rab]);$den=zif($_POST[den]);
if($re2[rab]>=$rab and $re2[dengi]>=$den and $rab!=0 and $den!=0){
$vr=round((300*$den)/$rab);$r=(($re2[gora]/100)*$re1[naukmet])*4;$r1=$re2[gora]/($re1[naukmet]/10);
if($den>=$r1){$s1=$r1;$s2=$r;$s3=0;}else{$t=($den*100)/$r1;$s2=($r/100)*$t;$s3=$re2[gora]-(($re2[gora]/100)*$t);}
$lan=round(($re2[gora]-$s3)/2);
$tim1=time();$tim2=$tim1+$vr;$vid=$_GET[b];$t=$re2[gora]-$s3;
if($re2[otk1]==1){$s2=round($s2*1.25);}
qw("UPDATE gos2 SET rab=rab-'$rab',dengi=dengi-'$den',gora=gora-'$t' WHERE strana='$re1[strana]'");
qw("INSERT INTO res (strana,vid,kolvo,rab,land,data,time) VALUES('$re1[strana]','$vid','$s2','$rab','$lan','$vr','$tim2')");
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
echo"Через $min мин. $sec сек. $rab рабочих принесут $s2 железа<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('8','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','Через $min мин. $sec сек. $rab рабочих принесут $s2 железа')");
}else{echo"Нет столько рабочих или денег!<br/>";}
}
if($_GET[s]==12){
$rab=zif($_POST[rab]);$den=zif($_POST[den]);
if($re2[rab]>=$rab and $re2[dengi]>=$den and $rab!=0 and $den!=0){
$vr=round((600*$den)/$rab);$r=(($re2[gora]/100)*$re1[naukkam])*10;$r1=$re2[gora]/($re1[naukkam]/10);
if($den>=$r1){$s1=$r1;$s2=$r;$s3=0;}else{$t=($den*100)/$r1;$s2=($r/100)*$t;$s3=$re2[gora]-(($re2[gora]/100)*$t);}
$lan=round(($re2[gora]-$s3)/2);
$tim1=time();$tim2=$tim1+$vr;$vid=$_GET[b];$t=$re2[gora]-$s3;
if($re2[otk4]==1){$s2=round($s2*1.25);}
qw("UPDATE gos2 SET rab=rab-'$rab',dengi=dengi-'$den',gora=gora-'$t' WHERE strana='$re1[strana]'");
qw("INSERT INTO res (strana,vid,kolvo,rab,land,data,time) VALUES('$re1[strana]','$vid','$s2','$rab','$lan','$vr','$tim2')");
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
echo"Через $min мин. $sec сек. $rab рабочих принесут $s2 камня<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('8','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','Через $min мин. $sec сек. $rab рабочих принесут $s2 камня')");

}else{echo"Нет столько рабочих или денег!<br/>";}
}
if($_GET[s]==13){
$rab=zif($_POST[rab]);$den=zif($_POST[den]);
if($re2[rab]>=$rab and $re2[dengi]>=$den and $rab!=0 and $den!=0){
$vr=round((700*$den)/$rab);$r=(($re2[lesa]/100)*$re1[naukder])*10;$r1=$re2[lesa]/($re1[naukder]/5);
if($den>=$r1){$s1=$r1;$s2=$r;$s3=0;}else{$t=($den*100)/$r1;$s2=($r/100)*$t;$s3=$re2[lesa]-(($re2[lesa]/100)*$t);}
$lan=round(($re2[lesa]-$s3)/2);
$tim1=time();$tim2=$tim1+$vr;$vid=$_GET[b];$t=$re2[lesa]-$s3;
if($re2[otk2]==1){$s2=round($s2*1.25);}
qw("UPDATE gos2 SET rab=rab-'$rab',dengi=dengi-'$den',lesa=lesa-'$t' WHERE strana='$re1[strana]'");
qw("INSERT INTO res (strana,vid,kolvo,rab,land,data,time) VALUES('$re1[strana]','$vid','$s2','$rab','$lan','$vr','$tim2')");
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
echo"Через $min мин. $sec сек. $rab рабочих принесут $s2 дерева<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('8','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]','Через $min мин. $sec сек. $rab рабочих принесут $s2 дерева')");

}else{echo"Нет столько рабочих или денег!<br/>";}
}
if($_GET[s]==14){
$rab=zif($_POST[rab]);$den=zif($_POST[den]);
if($re2[rab]>=$rab and $re2[dengi]>=$den and $rab!=0 and $den!=0){
$vr=round((400*$den)/$rab);$r=(($re2[land]/100)*$re1[naukzer])*1;$r1=$re2[land]/($re1[naukzer]/2);
if($den>=$r1){$s1=$r1;$s2=$r;$s3=0;}else{$t=($den*100)/$r1;$s2=round(($r/100)*$t);$s3=$re2[land]-(($re2[land]/100)*$t);}
$minlan=$re2[land]-$rab;if($minlan<=0){$minlan=$re2[land];}
$tim1=time();$tim2=$tim1+$vr;$vid=$_GET[b];
if($re2[otk3]==1){$s2=round($s2*1.25);}
qw("UPDATE gos2 SET rab=rab-'$rab',dengi=dengi-'$den',land=land-'$minlan' WHERE strana='$re1[strana]'");
qw("INSERT INTO res (strana,vid,kolvo,rab,land,data,time) VALUES('$re1[strana]','$vid','$s2','$rab','$minlan','$vr','$tim2')");
$sec = $vr;$min = floor($sec/60);$sec-=$min*60;$sec=round($sec);
echo"Через $min мин. $sec сек. $rab рабочих принесут $s2 зерна<br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('8','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',' Через $min мин. $sec сек. $rab рабочих принесут $s2 зерна')");

}else{echo"Нет столько рабочих или денег!<br/>";}
}
}
break;
case nal:
$tm=time();$nal=$tm-$re1[datanal];
$sec1=$nal;
$hou1=floor($sec1/3600);
$sec1-=$hou1*3600;
$min1=floor($sec1/60);
$sec1-=$min1*60;
echo"<u>С последнего сбора налогов прошло</u><br/>$hou1 час.$min1 мин.$sec1 сек.<br/>";
$sbor=($nal/3600)*1000;$sbor=round($sbor);
echo"Накоплено ($sbor) денег<br/>";
echo'<a href="derevnya.php?make=nal2&der='.$key.'">Собрать налог</a><br/>';
break;
case nal2:
$tm=time();$nal=$tm-$re1[datanal];$sbor=($nal/3600)*1000;$sbor=round($sbor);
$lave=$sbor;
$dengi=$re2[dengi]+$lave;
$tmnl=time();
qw("UPDATE gos SET datanal='$tmnl' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET dengi='$dengi' WHERE strana='$re1[strana]'");
header("Location: derevnya.php?make=nal3&d=$lave&der=$key");
break;
case nal3:
$lave=$_GET[d];
echo"Вы сняли $lave денег <br/>";
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('20','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Вы сняли $lave денег ')");

break;
case 1:
$sp=mysql_fetch_array(qw("SELECT der FROM domik WHERE strana ='$re1[strana]'"));
if($_GET[s]==1){
echo'<FORM ACTION="derevnya.php?make=1&s=3&der='.$key.'" METHOD=POST>';?>
Сколько земли добавить (<?echo"$re2[land]";?>):
<br/>
<input type="text" name="land" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==2){
echo'<FORM ACTION="derevnya.php?make=1&s=4&der='.$key.'" METHOD=POST>';?>
Сколько земли убавить (<?echo"$sp[der]";?>):
<br/>
<input type="text" name="land" maxlength="10"/><br/>
<INPUT TYPE='submit'VALUE='Ok'></FORM><br/><?
}
if($_GET[s]==3){
$rew1 = qw("SELECT COUNT(*) FROM voyna WHERE vrag='$re1[strana]'");
$row = mysql_fetch_row($rew1);{$total1 = $row[0];}
if($total1>0){echo"Вы не можете менять территорию при вторжении!<br/>";}else{
$lan=zif($_POST[land]);
if($re2[land]>=$lan){
qw("UPDATE gos2 SET land=land-'$lan' WHERE strana='$re1[strana]'");
qw("UPDATE domik SET der=der+'$lan' WHERE strana='$re1[strana]'");
echo"Территория увеличена на $lan <br/>";
}else{
echo"У вас нет столько свободной земли!<br/>";
}
}}
if($_GET[s]==4){
$rew1 = qw("SELECT COUNT(*) FROM voyna WHERE vrag='$re1[strana]'");
$row = mysql_fetch_row($rew1);{$total1 = $row[0];}
if($total1>0){echo"Вы не можете менять территорию при вторжении!<br/>";}else{
$lan=zif($_POST[land]);$z=$sp[der]-$lan;

if($sp[der]>=$lan and  $z>=200){

qw("UPDATE gos2 SET land=land+'$lan' WHERE strana='$re1[strana]'");
qw("UPDATE domik SET der=der-'$lan' WHERE strana='$re1[strana]'");
echo"Территория уменьшена на $lan <br/>";
}else{
echo"У вас нет столько деревенской земли!<br/>";
}
}}

break;
case oxp:
$ox=mysql_fetch_array(qw("SELECT * FROM oxp_5 WHERE strana ='$re1[strana]'"));
if(empty($_GET[k])){
echo"<u>В охране </u>:<br/>Пехота ($ox[peh])<br/>Стрелки ($ox[str])<br/>Пушки ($ox[puh])<br/>Танки ($ox[tan])<br/>";
echo"<a href='derevnya.php?make=oxp&k=1&der=$key'>Добавить</a><br/><a href='derevnya.php?make=oxp&k=3&der=$key'>Забрать</a><br/>";
}
if($_GET[k]==1){
echo"<FORM ACTION='derevnya.php?make=oxp&k=2&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$re2[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$re2[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$re2[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$re2[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Добавить'></FORM><br/><?
}
if($_GET[k]==2){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: derevnya.php?make=oxp&der=$key");}else{
$lim=$a5+$ox[peh]+$ox[str]+$ox[puh]+$ox[tan];
if($ox[max]>=$lim){
if($re2[peh]>=$a1 and $re2[str]>=$a2 and $re2[puh]>=$a3 and $re2[tan]>=$a4){
qw("UPDATE gos2 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE oxp_5 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: derevnya.php?make=oxp&der=$key");
}else{header("Location: derevnya.php?make=oxp&der=$key");}
}else{echo"В охране может находиться не более $ox[max] юнитов!<br/>";}
}
}
if($_GET[k]==3){
echo"<FORM ACTION='derevnya.php?make=oxp&k=4&der=$key' METHOD='POST'>";?>
Пехота:<br/><input type="text" name="peh" maxlength="4" value="<?=$ox[peh];?>" size="5"/><br/>
Стрелки:<br/><input type="text" name="str" maxlength="4" value="<?=$ox[str];?>" size="5"/><br/>
Пушки:<br/><input type="text" name="puh" maxlength="4" value="<?=$ox[puh];?>" size="5"/><br/>
Танки:<br/><input type="text" name="tan" maxlength="4" value="<?=$ox[tan];?>" size="5"/><br/>
<INPUT TYPE='submit'VALUE='Забрать'></FORM><br/><?
}
if($_GET[k]==4){
$a1=zif($_POST[peh]);$a2=zif($_POST[str]);$a3=zif($_POST[puh]);$a4=zif($_POST[tan]);$a5=$a1+$a2+$a3+$a4;
if($a5==0){header("Location: derevnya.php?make=oxp&der=$key");}else{
if($ox[peh]>=$a1 and $ox[str]>=$a2 and $ox[puh]>=$a3 and $ox[tan]>=$a4){
qw("UPDATE oxp_5 SET peh=peh-'$a1',str=str-'$a2',puh=puh-'$a3',tan=tan-'$a4' WHERE strana='$re1[strana]'");
qw("UPDATE gos2 SET peh=peh+'$a1',str=str+'$a2',puh=puh+'$a3',tan=tan+'$a4' WHERE strana='$re1[strana]'");
header("Location: derevnya.php?make=oxp&der=$key");
}else{header("Location: derevnya.php?make=oxp&der=$key");}
}
}
break;
}
echo'</div><div class="knews">';
?>|<a href='javascript:history.go(-1)'>Назад</a><br/><?
echo'<a href="../game.php?der='.$key.'">В страну</a><br/>';
echo'</div><div class="knews"><a href="../out.php?der='.$key.'">Выход</a><br/>';
require'../sys/foot.php';
}else{header("Location:../../game.php?der=$key");}
?>